Package org.gradle.api.tasks.testing

# Enum Class TestResult.ResultType

java.lang.Object
java.lang.Enum<TestResult.ResultType>
org.gradle.api.tasks.testing.TestResult.ResultType

All Implemented Interfaces:
  `Serializable`, `Comparable<TestResult.ResultType>`, `Constable`

Enclosing interface:
  `TestResult`

public static enum TestResult.ResultType extends Enum<TestResult.ResultType>
The final status of a test.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILURE`
`SKIPPED`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static TestResult.ResultType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TestResult.ResultType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final TestResult.ResultType SUCCESS

### FAILURE

public static final TestResult.ResultType FAILURE

### SKIPPED

public static final TestResult.ResultType SKIPPED

## Method Details

### values

public static TestResult.ResultType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TestResult.ResultType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null